Bug 251103 - wireless cannot connect using dhcp but works with static
wireless cannot connect using dhcp but works with static
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 00:55 EDT by Gerald Leung
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Leung 2007-08-07 00:55:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
When trying to connect to the Internet using wireless with dhcp, I get an error message in /var/log/messages. When I try to connect to the Internet using static IP address, I can connect.

This is the segment of /var/log/messages containing the error message ("duplicate address detected!"):
Aug  7 00:23:00 localhost dnsmasq[2749]: reading /etc/resolv.conf
Aug  7 00:23:00 localhost dnsmasq[2749]: using nameserver 192.168.1.1#53
Aug  7 00:23:00 localhost dhclient: wmaster0: unknown hardware address type 801
Aug  7 00:23:00 localhost kernel: wlan0: duplicate address detected!
Aug  7 00:23:00 localhost dhclient: wmaster0: unknown hardware address type 801
Aug  7 00:23:00 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 por
t 67 interval 5
Aug  7 00:23:00 localhost dhclient: DHCPOFFER from 192.168.1.1
Aug  7 00:23:00 localhost dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port
 67
Aug  7 00:23:00 localhost dhclient: DHCPACK from 192.168.1.1
Aug  7 00:23:00 localhost dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port
 67
Aug  7 00:23:00 localhost dhclient: DHCPACK from 192.168.1.1
Aug  7 00:23:00 localhost avahi-daemon[2728]: Joining mDNS multicast group on in
terface wlan0.IPv4 with address 192.168.1.101.
Aug  7 00:23:01 localhost avahi-daemon[2728]: New relevant interface wlan0.IPv4 
for mDNS.
Aug  7 00:23:01 localhost avahi-daemon[2728]: Registering new address record for
 192.168.1.101 on wlan0.IPv4.
Aug  7 00:23:01 localhost NET[7745]: /sbin/dhclient-script : updated /etc/resolv
.conf
Aug  7 00:23:01 localhost dhclient: bound to 192.168.1.101 -- renewal in 286154 
seconds.
Aug  7 00:23:08 localhost dnsmasq[2749]: reading /etc/resolv.conf
Aug  7 00:23:08 localhost dnsmasq[2749]: using nameserver 192.168.1.1#53
Aug  7 00:24:10 localhost NET[7925]: /sbin/dhclient-script : updated /etc/resolv
.conf
Aug  7 00:24:10 localhost avahi-daemon[2728]: Withdrawing address record for 192
.168.1.101 on wlan0.
Aug  7 00:24:10 localhost avahi-daemon[2728]: Leaving mDNS multicast group on in
terface wlan0.IPv4 with address 192.168.1.101.
Aug  7 00:24:10 localhost avahi-daemon[2728]: Interface wlan0.IPv4 no longer rel
evant for mDNS.
Aug  7 00:24:14 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Aug  7 00:24:14 localhost kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes r
eady
Aug  7 00:24:14 localhost dnsmasq[2749]: reading /etc/resolv.conf
Aug  7 00:24:14 localhost dnsmasq[2749]: using nameserver 192.168.1.1#53
Aug  7 00:24:14 localhost dhclient: wmaster0: unknown hardware address type 801
Aug  7 00:24:14 localhost dhclient: wmaster0: unknown hardware address type 801
Aug  7 00:24:14 localhost dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port
 67
Aug  7 00:24:14 localhost dhclient: DHCPACK from 192.168.1.1
Aug  7 00:24:14 localhost avahi-daemon[2728]: Joining mDNS multicast group on in
terface wlan0.IPv4 with address 192.168.1.101.
Aug  7 00:24:14 localhost avahi-daemon[2728]: New relevant interface wlan0.IPv4 
for mDNS.
Aug  7 00:24:14 localhost avahi-daemon[2728]: Registering new address record for
 192.168.1.101 on wlan0.IPv4.
Aug  7 00:24:14 localhost kernel: wlan0: duplicate address detected!
Aug  7 00:24:14 localhost NET[8094]: /sbin/dhclient-script : updated /etc/resolv
.conf
Aug  7 00:24:14 localhost dhclient: bound to 192.168.1.101 -- renewal in 258090 
seconds.
Aug  7 00:25:14 localhost dnsmasq[2749]: reading /etc/resolv.conf
Aug  7 00:25:14 localhost dnsmasq[2749]: using nameserver 192.168.1.1#53


Version-Release number of selected component (if applicable):
dhcp-3.0.5-38

How reproducible:
Always


Steps to Reproduce:
1. Configure wireless using system-config-network to use dhcp to obtain an IP address
2. Activate the wireless device


Actual Results:
I cannot access the Internet.

Expected Results:
I should be able to access the Internet.

Additional info:
ipw2200-firmware-3.0
system-config-network-tui-1.3.96-1
kernel-2.6.21-1.3228
Comment 1 David Cantrell 2007-10-08 14:07:07 EDT
What does /etc/sysconfig/network-scripts/ifcfg-wlan0 contain?
Comment 2 Brian Powell 2008-04-25 00:22:39 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.